Skip to main content
POST
/
automations
/
runs
/
{run_id}
/
callback
Run Callback
curl --request POST \
  --url https://api.ara.so/automations/runs/{run_id}/callback \
  --header 'Content-Type: application/json' \
  --data '
{
  "fencing_token": 123,
  "attempt_no": 2,
  "status": "<string>",
  "summary": "<string>",
  "error_class": "<string>",
  "error_message": "<string>",
  "latency_ms": 0
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Headers

authorization
string | null

Path Parameters

run_id
string
required

Body

application/json
fencing_token
integer
required
attempt_no
integer
required
Required range: x >= 1
status
string
required
Pattern: ^(succeeded|failed)$
summary
string | null
error_class
string | null
error_message
string | null
latency_ms
integer | null
default:0

Response

Successful Response